/*
 * Copyright 2007 Geir Hedemark
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.testaco.test.e;

import org.testaco.test.ComparisonResult;

public class DataSetException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4284137399826020273L;

	public DataSetException(String string, Throwable e) {
		super(string, e);
	}
	public DataSetException(ComparisonResult result, Throwable e) {
		super(result.toString(e), e);
	}

}
